/**
 * @Author: 嗨噜客(三亚)<fm453>
 * @Date: 2023-07-19 16:03:07
 * @FilePath: utils/common.js
 * @Description: 
 * @Email:  393213759@qq.com
 * Copyright (c) 2025 by www.hiluker.cn, All Rights Reserved. 
 */
import config from "@/app.config.js";
export default {
    /**
     * 显示消息提示框
     * @param content 提示的标题
     */
    toast: function(content) {
        uni.showToast({
            icon: 'none',
            title: content
        })
    },

    /**
     * 显示模态弹窗
     * @param content 提示的标题
     */

    showConfirm: function(content) {
        return new Promise((resolve, reject) => {
            uni.showModal({
                title: '提示',
                content: content,
                cancelText: '取消',
                confirmText: '确定',
                success: function(res) {
                    resolve(res)
                }
            })
        })
    },

    /**
     * 参数处理,拼接request网址请求参数
     * @param params 参数
     */
    tansParams: function(params) {
        let result = ''
        for (const propName of Object.keys(params)) {
            const value = params[propName]
            var part = encodeURIComponent(propName) + "="
            if (value !== null && value !== "" && typeof(value) !== "undefined") {
                if (typeof value === 'object') {
                    for (const key of Object.keys(value)) {
                        if (value[key] !== null && value[key] !== "" && typeof(value[key]) !== 'undefined') {
                            let params = propName + '[' + key + ']'
                            var subPart = encodeURIComponent(params) + "="
                            result += subPart + encodeURIComponent(value[key]) + "&"
                        }
                    }
                } else {
                    result += part + encodeURIComponent(value) + "&"
                }
            }
        }
        return result
    },

    /**
     * 自定义调试模式
     */
    debug: function(e) {
        if (config.isDebug) {
            if (typeof(e) === "object") {
                console.log("%c" + JSON.stringify(e), "color:#0095F6");
                console.log("%c >>>原始数据如下：", "color:#f00");
                console.log(e)
            } else {
                console.log("%c" + e, "color:#0095F6");
            }
        }
    }
}